#!/bin/ksh
#############################################################################
## Licensed Materials - Property of IBM
## "Restricted Materials of IBM"
## 5724-O98
## (c)  Copyright IBM Corp. 2011 All Rights Reserved.
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with
## IBM Corp.
#############################################################################
##
##   Title:	EnginePreInstallConfigure_3.0.0.2.sh
##   Description: Handles the post install configure actions for the 
##                TS_Engine_3.0.0.2 IU
##   usage:  EnginePreInstallConfigure_3.0.0.2.sh -ts_home <install location>
##
#############################################################################

ECHO="echo"
PLATFORM=`uname`

AWK_EQUAL="awk -F "=""
if [ "$PLATFORM" = "SunOS" ];then
    AWK_EQUAL="awk -F="
fi

usage()
{
	echo "	USAGE: ./EnginePreInstallConfigure_3.0.0.2.sh"
	echo "                          [-ts_home=<TS install location>]"
	echo "                          [-action=[rollback/update]]"
}

backupFiles()
{
    # Nothing to do for an install or uninstall

    # Before an update, restore any backed up files
    if [ "$action" = "update" ];then

		# Only backup RFIDICServer.xml if the file has not be migrated
		grep "version=\"3.0.0.2\"" "$ts_home/etc/RFIDICServer.xml"
		if [ "$?" -ne "0" ];then
			if [ -f "$ts_home/etc/RFIDICServer.xml" ];then
				echo "Backing up RFIDICServer.xml"
				cp -f "$ts_home/etc/RFIDICServer.xml" "$ts_home/etc/RFIDICServer.xml_3000"
			fi
		fi

		if [ -f "$ts_home/bin/configureTS.properties" ];then
			mv -f "$ts_home/bin/configureTS.properties" "$ts_home/bin/configureTS.properties_bak"
		fi
    fi

    # Nothing to be done if its an uninstall or rollback
}

#### Main starts here ####
#### Input Arguments Verification #####		
for item in $*
	do
		if [ `expr match "$item" '-ts_home='` != 0 ];then
			ts_home=`$ECHO $item | $AWK_EQUAL '{print($2)}'`
		elif [ `expr match "$item" '-action='` != 0 ];then
			action=`$ECHO $item | $AWK_EQUAL '{print($2)}'`
		else
			usage
			exit 1
		fi
	done

echo "-------- Pre Install Configure --------"
echo "action: $action"

### Backup user modifiable files
backupFiles
	
echo "-------- Pre Install Script completed successfully --------"

exit
