#!/bin/ksh
#############################################################################
## Licensed Materials - Property of IBM
## "Restricted Materials of IBM"
## 5724-O98
## (c)  Copyright IBM Corp. 2011 All Rights Reserved.
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with
## IBM Corp.
#############################################################################
#
# 
# getDBVersion.sh - returns the version of the database server
###############################################################################################################
SCRIPT_DIR=`dirname $0`
. ${SCRIPT_DIR}/utils.sh

run_command()
{
        command="$*"
        "$@"
        retcode=$?
        if [ "$retcode" -ne 0 ]
        then                
        		getMessage TSIN01013E $command
        		echo $msg
                #echo "Error occurred while running command: $command"
                return $retcode
        fi
}

getDBVersion()
{
        if  [ -z "$DBversion" ];then
                unset cp
                unset dbstatus
                cp=$ITS_HOME/lib/com.ibm.rfidic.utils.jar:$ITS_HOME/lib/commons-dbutils-1.0.jar
                if [ "$DB_TYPE" = "ORACLE" ];then
                        cp=$cp:$DBMS_JDBC_LIB_PATH/ojdbc5.jar
                        JDBC="jdbc:oracle:thin:@${DBMS_HOST}:${DBMS_PORT_NUMBER}:${DBMS_DB_NAME}"                        
                        OracleDriver=oracle.jdbc.OracleDriver
                        $JAVA_HOME/bin/java -classpath $cp com.ibm.rfidic.utils.install.SQLFileExecutor ${JDBC} ${OracleDriver} ${DBMS_ADMIN_USER} ${DBMS_ADMIN_PASSWORD} $ITS_HOME/bin/Oracle/VersionCheck.sql  1>&2 > /tmp/VersionOutput.txt
                        dbstatus=`echo $?`
                        if [ "$dbstatus" = "1" ];then
                        		getMessage TSIN02264E ${DBMS_HOST}
                        		$ECHO "\n $msg"
                                #echo_msg "\n Database version cannot be retrieved on host - ${DBMS_HOST} , Check if the DB is running and try again ."
                                return 1
                        fi
                        DBversion=`cat /tmp/VersionOutput.txt | grep "Release" | awk '{print($7)}'`

                elif [ "$DB_TYPE" = "DB2" ];then
                        cp=$cp:$DBMS_JDBC_LIB_PATH/db2jcc.jar:$DBMS_JDBC_LIB_PATH/db2jcc_javax.jar:$DBMS_JDBC_LIB_PATH/db2jcc_license_cu.jar:$DBMS_JDBC_LIB_PATH/db2jcc_license_cisuz.jar
                        JDBC="jdbc:db2://${DBMS_HOST}:${DBMS_PORT_NUMBER}/${DBMS_DB_NAME}"
                        DB2Driver=com.ibm.db2.jcc.DB2Driver
                        $JAVA_HOME/bin/java -classpath $cp com.ibm.rfidic.utils.install.SQLFileExecutor ${JDBC} ${DB2Driver} ${DBMS_ADMIN_USER} ${DBMS_ADMIN_PASSWORD} $ITS_HOME/bin/DB2/VersionCheck.sql  1>&2 > /tmp/VersionOutput.txt
                        dbstatus=`echo $?`
                        if [ "$dbstatus" = "1" ];then 
                        		getMessage TSIN02264E ${DBMS_HOST}
                        		$ECHO "\n $msg"
                                #echo "\n Database version cannot be retrieved on host - ${DBMS_HOST} , Check if the DB is running and try again ."
                                return 1
                        fi
                        DBversion=`cat /tmp/VersionOutput.txt | grep "DB2" | awk '{print($2)}'`
                fi
        fi
}
                        