#!/bin/ksh
#############################################################################
## Licensed Materials - Property of IBM
## "Restricted Materials of IBM"
## 5724-O98
## (c)  Copyright IBM Corp. 2009, 2011 All Rights Reserved.
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with
## IBM Corp.
#############################################################################
SCRIPT_DIR=`dirname $0`
if [ -n "$TS_HOME" -a -d $TS_HOME"/bin" ];then
	. ${TS_HOME}/bin/tsEnv.sh
    . ${TS_HOME}/bin/prereqChecks.sh
else
	. ${SCRIPT_DIR}/tsEnv.sh
    . ${SCRIPT_DIR}/prereqChecks.sh
fi

usage(){
	echo "getTSStatus.sh [-was_admin_user=<value>] [-was_admin_password=<value>] [-dba_password=<value>]"
}

for item in $*
do
	if [ `expr match "$item" '-was_admin_user'` != 0 ];then
      		was_admin_user=`$ECHO $item | $AWK_EQUAL '{print($2)}'`
	elif [ `expr match "$item" '-was_admin_password'` != 0 ];then
      		was_admin_password=`$ECHO $item | $AWK_EQUAL '{print($2)}'`
    elif [ `expr match "$item" '-dba_password'` != 0 ];then
            DBMS_ADMIN_PASSWORD=`$ECHO $item | $AWK_EQUAL '{print($2)}'`
	else
		usage			
		exit 1
	fi
done

RESULT=0

echo " "
echo "*********************** Checking MQ Status *********************"
isMQRunning
if [ $? -eq $TRUE ];then
    echo "*********************** MQ Status is : RUNNING ***********************"
else
    echo "*********************** MQ Status is : NOT RUNNING ***********************"
    RESULT=1
fi

echo " "
echo "*********************** Checking DB Status *********************"
isDBRunning
if [ $? -eq $TRUE ];then
    getDBVersion
    DBVersion=$returnString
	echo "$DB_TYPE - $DBVersion"
	echo "*********************** DB Status is : RUNNING  **************************"
else
	echo "*********************** DB Staus is : NOT RUNNING ***********************"
	RESULT=1
fi

echo " "
echo "*********************** Checking WAS Status *********************"
isWASRunning
if [ $? -eq $TRUE ];then
    echo "*********************** WAS Status is : RUNNING ***********************"
else
    echo "*********************** WAS is : NOT RUNNING ***********************"
    RESULT=1
fi

exit $RESULT