#############################################################################
## Licensed Materials - Property of IBM
## "Restricted Materials of IBM"
## 5724-O98
## (c)  Copyright IBM Corp. 2011 All Rights Reserved.
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with
## IBM Corp.
#############################################################################
from com.ibm.rfidic.messages.tools import RFIDICGetMessage
import AdminUtilities
import rfidicCfgUtils

#get the scope
def getScope(p):
    cell=p.get("CELLNAME")
    if(p.get("ISCLUSTER")=="true"):
        ret='/Cell:'+cell+'/ServerCluster:'+p.get("CLUSTERNAME")+'/'
    else:
        ret='/Cell:'+cell+'/Node:'+p.get("NODENAME")+'/Server:'+p.get("SERVERNAME")+'/'

    return ret

def alterTables( p, servers, schedName ):
    msg=RFIDICGetMessage.getMessage('RFID07096I')
    print msg.getMessage()
    print schedName
    
    scope=getScope(p)
    schedScope=scope+'SchedulerProvider:SchedulerProvider/SchedulerConfiguration:'+schedName+'/'
    sched=AdminConfig.getid(schedScope)
    if( sched=='' ):
        msg=RFIDICGetMessage.getMessage('RFID07051E', schedName)
        print msg.getIdAndMessage()
        return

    if(p.get("ISCLUSTER")=="true"):
        server=servers[0]
        helperStr='WebSphere:*,node='+server[0]+',process='+server[1]+',type=WASSchedulerCfgHelper'
        #helperStr='WebSphere:*,process=dmgr,type=WASSchedulerCfgHelper'
    else:
        helperStr='WebSphere:*,type=WASSchedulerCfgHelper'
        
    helper=AdminControl.queryNames(helperStr)

    if( p.get("CONFIG_OPTION")=='configure' ):
        createTables(helper,sched)
    else:
        dropTables(helper,sched)

    
def createTables(helper,sched):
    msg=RFIDICGetMessage.getMessage('RFID07100I')
    print msg.getMessage()
    print sched
    
    try:
        result=AdminControl.invoke(helper, 'createTables', sched)
        if(result=='true'):
            msg=RFIDICGetMessage.getMessage('RFID07101I', sched)
            print msg.getIdAndMessage()
        else:
            msg=RFIDICGetMessage.getMessage('RFID07102I', sched)
            print msg.getIdAndMessage()
            dropResult=dropTables(helper,sched)
            if(dropResult=='true'):
                msg=RFIDICGetMessage.getMessage('RFID07100I', sched)
                print msg.getIdAndMessage()
                print sched
                AdminControl.invoke(helper, 'createTables', sched)
    except:
        typ, val, tb = sys.exc_info()
        #XXX -bundle
        print "Exception: "
        print typ
        print val
        print tb

def dropTables(helper,sched):
    msg=RFIDICGetMessage.getMessage('RFID07097I')
    print msg.getMessage()
    print sched

    result='false'
    try:
        result=AdminControl.invoke(helper, 'dropTables', sched)
        if( result=='true' ):
            msg=RFIDICGetMessage.getMessage('RFID07098I')
            print msg.getMessage()
        else:
            msg=RFIDICGetMessage.getMessage('RFID07099I')
            print msg.getMessage()
            
    except:
        typ, val, tb = sys.exc_info()
        #XXX -bundle
        print "Exception: "
        print typ
        print val
        print tb
        
    return result

def run(p, servers, schedName):
    alterTables(p, servers, schedName)

