#############################################################################
## Licensed Materials - Property of IBM
## "Restricted Materials of IBM"
## 5724-O98
## (c)  Copyright IBM Corp. 2011 All Rights Reserved.
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with
## IBM Corp.
#############################################################################
import sys

from java.io import FileInputStream
from java.util import Properties
from jarray import array
from com.ibm.rfidic.messages.tools import RFIDICGetMessage
from com.ibm.rfidic.utils.install import ReadMappedUserGroups

#Add TS jython scripts to jython's import path
def updatePath(p):
    sys.path.append(p)

updatePath(sys.argv[1])

#Now that the rfidic jython directory is on the path, import our modules
import rfidicCfgUtils

def stopApplicationOnServer( appName, nodeName, serverName):
    try:
        global AdminControl
        
        cell = AdminConfig.list("Cell")
        cellName = AdminConfig.showAttribute(cell, "name")

        # Check if application is deployed on server target
        app = AdminConfig.getid("/Deployment:"+appName+"/")
        if (len(app) <= 0):
            print "Application "+appName+" is not deployed on the server "+serverName+"."
            return -1

        runningApp = AdminControl.queryNames("cell="+cellName+",node="+nodeName+",type=Application,process="+serverName+",name="+appName+",*")

        if (len(runningApp) == 0):
            # Application is stopped
            print "Application "+appName+" is already stopped on server "+serverName+"."
            return 0
        else:
            appManager = AdminControl.queryNames("cell="+cellName+",node="+nodeName+",type=ApplicationManager,process="+serverName+",*")

            if (len(appManager) == 0):
                print "Application manager mbean is not running on server "+serverName+"."
                return -1
            else:
                # Stop application
                AdminControl.invoke(appManager, "stopApplication", appName)
    except:
        typ, val, tb = sys.exc_info()
        if (typ==SystemExit):  raise SystemExit,`val`
        if (failonerror != "true"):
            print "Exception: %s %s " % (sys.exc_type, sys.exc_value)
            val = "%s %s" % (sys.exc_type, sys.exc_value)
        return -1
    print "Application "+appName+" stopped on server "+serverName+"."
    return 0  # succeed


# The following parameters should be passed into this script:
# arg[0]: The properties file which includes all required variables known to the TS environment
# arg[1]: The directory which includes all required Jython scripts. This is used as part of the include path.
# arg[2-n]: The names of the applications in WAS to start
#main
properties=rfidicCfgUtils.getProperties(sys.argv[0])
servers=rfidicCfgUtils.findServers(properties)

i = 2
while (i < len(sys.argv)):
    for server in servers:
        rc = stopApplicationOnServer(sys.argv[i], server[0], server[1])
        if (rc != 0):
            sys.exit(rc)
    i += 1

AdminConfig.save()
