#!/bin/ksh 
#############################################################################
## Licensed Materials - Property of IBM
## "Restricted Materials of IBM"
## 5724-O98
## (c)  Copyright IBM Corp. 2008, 2011 All Rights Reserved.
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with
## IBM Corp.
#############################################################################
##
##   Title: verifySID.sh
##   Description: Script to verify if the services for SID is up and running
##
##   usage:
##  	verifySID.sh hostIP port [user password group]
##   e.g.
## 		verifySID.sh localhost 9080
##		
##
#############################################################################

# include the RFIDIC environment settings
SCRIPT_DIR=`dirname $0`
if [ -n "$RFIDIC_HOME" -a -d $RFIDIC_HOME"/bin" ];then
        . ${RFIDIC_HOME}/bin/tsEnv.sh
else
        . ${SCRIPT_DIR}/tsEnv.sh
fi

checkLogs

appendClassPathWithWASJars

#Change SSL settings in tsEnv.sh under the sslWASSettings function
SSL_SETTINGS=`sslWASSettings`

java -classpath $CLASSPATH -DRFIDIC_HOME=$RFIDIC_HOME -DTS_HOME=$RFIDIC_HOME $SSL_SETTINGS com.ibm.rfidic.enterprise.serialid.framework.util.SIDVerification $*
